<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1.0"><meta name="generator" content="rustdoc"><meta name="description" content="Source of the Rust file `crates/framework/base/icecap-failure/src/impls.rs`."><meta name="keywords" content="rust, rustlang, rust-lang"><title>impls.rs - source</title><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceSerif4-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../FiraSans-Regular.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../FiraSans-Medium.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceCodePro-Regular.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceSerif4-Bold.ttf.woff2"><link rel="preload" as="font" type="font/woff2" crossorigin href="../../SourceCodePro-Semibold.ttf.woff2"><link rel="stylesheet" type="text/css" href="../../normalize.css"><link rel="stylesheet" type="text/css" href="../../rustdoc.css" id="mainThemeStyle"><link rel="stylesheet" type="text/css" href="../../ayu.css" disabled><link rel="stylesheet" type="text/css" href="../../dark.css" disabled><link rel="stylesheet" type="text/css" href="../../light.css" id="themeStyle"><script id="default-settings" ></script><script src="../../storage.js"></script><script defer src="../../source-script.js"></script><script defer src="../../source-files.js"></script><script defer src="../../main.js"></script><noscript><link rel="stylesheet" href="../../noscript.css"></noscript><link rel="alternate icon" type="image/png" href="../../favicon-16x16.png"><link rel="alternate icon" type="image/png" href="../../favicon-32x32.png"><link rel="icon" type="image/svg+xml" href="../../favicon.svg"></head><body class="rustdoc source"><!--[if lte IE 11]><div class="warning">This old browser is unsupported and will most likely display funky things.</div><![endif]--><nav class="mobile-topbar"><button class="sidebar-menu-toggle">&#9776;</button><a class="sidebar-logo" href="../../icecap_failure/index.html"><div class="logo-container"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></div>
        </a><h2 class="location"></h2>
    </nav>
    <nav class="sidebar"><a class="sidebar-logo" href="../../icecap_failure/index.html"><div class="logo-container"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></div>
        </a></nav><main><div class="width-limiter"><div class="sub-container"><a class="sub-logo-container" href="../../icecap_failure/index.html"><img class="rust-logo" src="../../rust-logo.svg" alt="logo"></a><nav class="sub"><form class="search-form"><div class="search-container"><span></span><input class="search-input" name="search" autocomplete="off" spellcheck="false" placeholder="Click or press ‘S’ to search, ‘?’ for more options…" type="search"><div id="help-button" title="help" tabindex="-1"><button type="button">?</button></div><div id="settings-menu" tabindex="-1">
                                <a href="../../settings.html" title="settings"><img width="22" height="22" alt="Change settings" src="../../wheel.svg"></a></div>
                        </div></form></nav></div><section id="main-content" class="content"><div class="example-wrap"><pre class="line-numbers"><span id="1">1</span>
<span id="2">2</span>
<span id="3">3</span>
<span id="4">4</span>
<span id="5">5</span>
<span id="6">6</span>
<span id="7">7</span>
<span id="8">8</span>
<span id="9">9</span>
<span id="10">10</span>
<span id="11">11</span>
<span id="12">12</span>
<span id="13">13</span>
<span id="14">14</span>
<span id="15">15</span>
<span id="16">16</span>
<span id="17">17</span>
<span id="18">18</span>
<span id="19">19</span>
<span id="20">20</span>
<span id="21">21</span>
<span id="22">22</span>
<span id="23">23</span>
<span id="24">24</span>
<span id="25">25</span>
<span id="26">26</span>
<span id="27">27</span>
<span id="28">28</span>
<span id="29">29</span>
<span id="30">30</span>
<span id="31">31</span>
<span id="32">32</span>
<span id="33">33</span>
<span id="34">34</span>
<span id="35">35</span>
<span id="36">36</span>
<span id="37">37</span>
<span id="38">38</span>
<span id="39">39</span>
<span id="40">40</span>
<span id="41">41</span>
<span id="42">42</span>
<span id="43">43</span>
<span id="44">44</span>
<span id="45">45</span>
<span id="46">46</span>
<span id="47">47</span>
<span id="48">48</span>
<span id="49">49</span>
<span id="50">50</span>
</pre><pre class="rust"><code><span class="kw">use</span> <span class="ident">alloc</span>::{<span class="ident">ffi</span>, <span class="ident">str</span>, <span class="ident">string</span>};
<span class="kw">use</span> <span class="ident">core::alloc</span>::{<span class="ident">AllocError</span>, <span class="ident">LayoutError</span>};
<span class="kw">use</span> <span class="ident">core</span>::{<span class="ident">array</span>, <span class="ident">cell</span>, <span class="ident">char</span>, <span class="ident">fmt</span>, <span class="ident">num</span>};

<span class="kw">use</span> <span class="ident"><span class="kw">crate</span>::Fail</span>;

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">sel4::Error</span> {}

<span class="attribute">#[<span class="ident">cfg</span>(<span class="ident">feature</span> <span class="op">=</span> <span class="string">&quot;postcard&quot;</span>)]</span>
<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">icecap_rpc::easy::Error</span> {}

<span class="comment">// HACK trivial impls to match std/error.rs</span>

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="op">!</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">AllocError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">LayoutError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">str::ParseBoolError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">str::Utf8Error</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">num::ParseIntError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">num::TryFromIntError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">array::TryFromSliceError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">num::ParseFloatError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">string::FromUtf8Error</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">string::FromUtf16Error</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">string::ParseError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">char::DecodeUtf16Error</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">fmt::Error</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">cell::BorrowError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">cell::BorrowMutError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">char::CharTryFromError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">char::ParseCharError</span> {}

<span class="kw">impl</span> <span class="ident">Fail</span> <span class="kw">for</span> <span class="ident">ffi::NulError</span> {}
</code></pre></div>
</section></div></main><div id="rustdoc-vars" data-root-path="../../" data-current-crate="icecap_failure" data-themes="ayu,dark,light" data-resource-suffix="" data-rustdoc-version="1.64.0-dev" ></div>
</body></html>